<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/29/2004 *
 * ================                             Last change: 11/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-register.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Swapped out registration system for new members  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ausgelagertes Anmeldesystem fuer Mitglieder      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Version number
$EXT_VERSION = "0.5.2";

// Auto-set extension version
if (empty($EXT_VER)) $EXT_VER = $EXT_VERSION;

// Version history array (add more with , "0.1" and so on)
$EXT_VER_HISTORY = array("0.0", "0.1", "0.1.1", "0.1.2", "0.1.3", "0.1.4", "0.1.5", "0.1.6", "0.1.7", "0.1.8", "0.1.9", "0.2.0", "0.2.1", "0.2.2", "0.2.3", "0.2.4", "0.2.5", "0.2.6", "0.2.7", "0.2.8", "0.2.9", "0.3.0", "0.3.1", "0.3.2", "0.3.3", "0.3.4", "0.3.5", "0.3.6", "0.3.7", "0.3.8", "0.3.9", "0.4.0", "0.4.1", "0.4.2", "0.4.3", "0.4.4", "0.4.5", "0.4.6", "0.4.7", "0.4.8", "0.4.9", "0.5.0", "0.5.1", "0.5.2");

switch ($EXT_LOAD_MODE)
{
case "register": // Do stuff when installtion is running (modules.php?module=admin&action=login is called)
	// SQL commands to run
	$SQLs[] = "";

	// Load own CSS file?
	$EXT_CSS = "Y";
	break;

case "remove": // Do stuff when removing extension
	// SQL commands to run
	$SQLs[] = "DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_admin_menu WHERE action='setup' AND what='config_register' LIMIT 1";
	break;

case "activate": // Do stuff when admin activates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "deactivate": // Do stuff when admin deactivates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "update": // Update an extension
	switch ($EXT_VER)
	{
	case "0.1": // SQL queries for v0.1
		$SQLs[] = "DROP TABLE IF EXISTS "._MYSQL_PREFIX."_must_register";
		$SQLs[] = "CREATE TABLE "._MYSQL_PREFIX."_must_register (
id bigint(20) NOT NULL auto_increment,
field_name varchar(255) not null default '',
field_required enum('Y', 'N') not null default 'Y',
PRIMARY KEY(id)
) TYPE=MyISAM";

		// Add all entries as required (DO NOT DELETE THEM FROM DATABASE!)
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('surname', 'Y')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('family_name', 'Y')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('street_nr', 'Y')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('cntry', 'Y')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('zip', 'Y')";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_must_register (field_name, field_required) VALUES ('city', 'Y')";

		// Add admin menu
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (action, what, title, descr, sort) VALUES('setup', 'config_register', 'Pflichtfelder', 'Stellen Sie hier die Pflichtfelder sowohl im Anmeldeformular, als auch im Mitgliedsbereich unter <STRONG>Profildaten &auml;ndern</STRONG> ein.', 12)";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Einstellbare Pflichtfelder hinzugef&uuml;gt.";
		break;

	case "0.1.1": // SQL queries for v0.1.1
		$SQLs[] = "UPDATE "._MYSQL_PREFIX."_extensions SET ext_has_css='Y' WHERE ext_name='register' AND ext_has_css='N' LIMIT 1";

		// This update depends on sql_patches update!
		$EXT_UPDATE_DEPENDS = "sql_patches";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "CSS-Datei kann per Admin-Bereich ein- und ausgeschaltet werden.";
		break;

	case "0.1.3": // SQL queries for v0.1.3
		// This update depends on sql_patches update!
		$EXT_UPDATE_DEPENDS = "sql_patches";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Standart Referral-ID kann per Admin-Bereich eingestellt werden (war vorher nur in modules.php und index.php direkt eingebbar.)";
		break;

	case "0.1.4": // SQL queries for v0.1.4
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Wegen des Theme-Supportes hat sich die URL zur CSS-Datei ge&auml;ndert.";
		break;

	case "0.1.5": // SQL queries for v0.1.5
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Konfiguration der Pflichtangaben ausgelagert in Template";
		break;

	case "0.1.6": // SQL queries for v0.1.6
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.";
		break;

	case "0.1.7": // SQL queries for v0.1.7
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.";
		break;

	case "0.1.8": // SQL queries for v0.1.8
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.";
		break;

	case "0.1.9": // SQL queries for v0.1.9
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Pflichtfelder wieder eingebaut (waren irgentwie ausgebaut???)";
		break;

	case "0.2.0": // SQL queries for v0.2.0
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Problem mit Speicherung der Einstellungen beseitigt.";
		break;

	case "0.2.1": // SQL queries for v0.2.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Men&uuml;punkte im Gast-/Mitgliedsbereich k&ouml;nnen nicht mehr aufgerufen werden, wenn die Erweiterung deaktiviert ist.";
		break;

	case "0.2.2": // SQL queries for v0.2.2
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "S&auml;mtliche Sperren bei eingeloggten Admin deaktiviert.";
		break;

	case "0.2.3": // SQL queries for v0.2.3
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Cookie <U>refid</U> aus Anmeldeformular entfernt.";
		break;

	case "0.2.4": // SQL queries for v0.2.4
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Design &quot;Solid-Business&quot; eingebaut.";
		break;

	case "0.2.5": // SQL queries for v0.2.5
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Seit <A href=\"".SERVER_URL."/patches/340-Gast_Mitgliedsmenue_Deaktivieren.zip\">Patch 340</A> &uuml;berfl&uuml;ssige HTML-Tags entfernt.";
		break;

	case "0.2.6": // SQL queries for v0.2.6
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "IP-Nummer und Browserbezeichnung wird in Admin-Mails eingesetzt.";
		break;

	case "0.2.7": // SQL queries for v0.2.7
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Referral-ID wird endlich korrekt gesetzt.";
		break;

	case "0.2.8": // SQL queries for v0.2.8
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Parse error in <U>what-register.php</U> beseitigt.";
		break;

	case "0.2.9": // SQL queries for v0.2.9
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Anrede &quot;Firma&quot; hinzugef&uuml;gt.";
		break;

	case "0.3.0": // SQL queries for v0.3.0
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "W&ouml;rter <STRONG>Mailtausch</STRONG>, <STRONG>Mailtausches</STRONG> und <STRONG>Mailtauscher</STRONG> sind austauschbar.";
		break;

	case "0.3.1": // SQL queries for v0.3.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Email-Adresse wird vor dem Speichern auf G&uml;tigkeit hin getestet.";
		break;

	case "0.3.2": // SQL queries for v0.3.2
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Einbindung der Erweiterung <STRONG>country</STRONG>, die Sie sich noch optional von <A href=\"".URL."/modules.php?module=admin&amp;what=extensions&amp;do=search\">meiner Seite herunterladen</A> m&uuml;ssen.<br />
<br />
<STRONG>Wichtig: Laden Sie noch das Template <STRONG>guest_register.tpl</STRONG> mit hoch, welches unter templates/".GET_LANGUAGE()."/html/guest/ zu finden ist!</STRONG>";

		// Depends on 'country'
		$EXT_UPDATE_DEPENDS = "country";
		break;

	case "0.3.3": // SQL queries for v0.3.3
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Es werden dem Mitglied nur aktivierte L&auml;ndercodes zur Auswahl angeboten.";
		break;

	case "0.3.4": // SQL queries for v0.3.4
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Auf Grund der Integration der neue Erweiterung <STRONG>country</STRONG> in die Anmeldephase klappte die Anmeldung nicht. Die dazu n&uuml;tige Verkn&uuml;pfung ist nun eingebaut und die Anmeldung klappt wieder. Vielen Dank nochmals an den Bug-Reporter (Fehlermelder)!";
		break;

	case "0.3.5": // SQL queries for v0.3.5
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Design wird nach Anmeldung auch endlich im Mitgliedsmen&uuml; &uuml;bernommen.";
		break;

	case "0.3.6": // SQL queries for v0.3.6
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehlermeldung <STRONG>Fatal error: Call to undefined function: get_theme() in /../../guest/what-register.php on line 190</STRONG> beseitigt.";
		break;

	case "0.3.7": // SQL queries for v0.3.7
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehlermeldung <STRONG>Fatal error: Call to undefined function: get_curr_theme<U>e</U>() in /../../guest/what-register.php on line 190</STRONG> beseitigt.";
		break;

	case "0.3.8": // SQL queries for v0.3.8
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Weitere SQL-Befehle abgesichert.";
		break;

	case "0.3.9": // SQL queries for v0.3.9
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Abspeichern von Einstellungen repariert.";
		break;

	case "0.4.0": // SQL queries for v0.4.0
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Abspeichern von Einstellungen repariert.";
		break;

	case "0.4.1": // SQL queries for v0.4.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Vorbereitung auf die neue Mediendaten v0.0.4.";
		break;

	case "0.4.2": // SQL queries for v0.4.2
		$SQLs[] = "ALTER TABLE "._MYSQL_PREFIX."_config ADD register_default ENUM('Y', 'N') NOT NULL DEFAULT 'N'";
		$SQLs[] = "UPDATE "._MYSQL_PREFIX."_admin_menu SET what='config_register2' WHERE what='config_reg' LIMIT 1";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Bei der Anmeldung kann die Standart-Auswahl zwischen Ja/Nein umgeschaltet werden. Das &Auml;ndern des Templates <STRONG>templates/".GET_LANGUAGE()."/html/guest/guest_register.tpl</STRONG> ist nicht mehr n&ouml;tig.";
		break;

	case "0.4.3": // SQL queries for v0.4.3
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Parser-Error in <STRONG>inc/modules/guest/what-register.php</STRONG> beseitigt.";
		break;

	case "0.4.4": // SQL queries for v0.4.4
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Anmeldefehler (EMail-Adresse war immer ein Ausrufezeichen) beseitigt.";
		break;

	case "0.4.5": // SQL queries for v0.4.5
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "if-Anweisungen auf Funktion <STRONG>empty()</STRONG> umgestellt.";
		break;

	case "0.4.6": // SQL queries for v0.4.6
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Einstellung nach ".POINTS."-Einstellungen verlagert.";
		break;

	case "0.4.7": // SQL queries for v0.4.7
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "<STRONG>set_session()</STRONG> mit @-Zeichen gegen ungewollte Ausgaben abgesichert.";
		break;

	case "0.4.8": // SQL queries for v0.4.8
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Hash-Erstellung von <STRONG>md5()</STRONG> auf bessere Funktion <STRONG>generateHash()</STRONG> umgestellt.";
		break;

	case "0.4.9": // SQL queries for v0.4.9
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Problem mit nicht anzeigbaren Kategorien in der Anmeldung beseitigt.";
		break;

	case "0.5.0": // SQL queries for v0.5.0
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehlermeldung <em><strong>Fatal error:</strong> Call to undefined function REGISTER_ADD_CATEGORY_TABLE() in <strong>{!PATH!}/inc/modules/guest/what-register.php</strong> on line <strong>434</strong></em> beseitigt.";
		break;

	case "0.5.1": // SQL queries for v0.5.1
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Mail-Template <strong>register-member.tpl</strong> gefixt. Danke an <A href=\"http://forum.mxchange.org/profile-59.html\" target=\"_blank\" title=\"Mitgliedsprofil aufrufen\">wliepe</A> f&uuml;r die Fehlerfindung!";
		break;

	case "0.5.2": // SQL queries for v0.5.2
		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "Fehlerhinweis bei deaktivierter Erweiterung verbessert.";
		break;
	}
	break;

default: // Do stuff when extension is loaded
	$dummy = LOAD_CONFIG();
	$_CONFIG = array_merge($_CONFIG, $dummy);
	unset($dummy);
	break;
}

// Language file prefix
$EXT_LANG_PREFIX = "register";

// Extension is always active?
$EXT_ALWAYS_ACTIVE = "N";

//
?>
