<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/13/2003 *
 * ===============                              Last change: 09/04/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ref.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : Redirection for the referral link                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Weiterleitungsscript fuer die Referral-Links     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";

// Set module
$GLOBALS['module'] = "ref"; $CSS = -1;

// Load the required file(s)
require ("inc/config.php");

// Redirect only to registration page when this script is installed
if (defined('mxchange_installed') && (isBooleanConstantAndTrue('mxchange_installed')))
{
	// Base URL for redirection
	switch ($_CONFIG['refid_target'])
	{
	case "register":
		$URL = URL."/modules.php?module=index&what=register&refid=";
		break;

	case "index":
		$URL = URL."/index.php?refid=";
		break;
	}

	// Get referral ID from ref or refid variable
	if (!empty($_GET['ref']))        $ref = secureString($_GET['ref']);
	 elseif (!empty($_GET['refid'])) $ref = bigintval($_GET['refid']);

	if (!empty($ref))
	{
		// Test if nickname ($test == "0") or ID
		$test = "".round($ref)."";
		if ((EXT_IS_ACTIVE("nickname")) && ($test != $ref))
		{
			// Nickname in URL, so load the ID
			$result = SQL_QUERY_ESC("SELECT userid FROM "._MYSQL_PREFIX."_user_data WHERE nickname='%s' LIMIT 1", array($ref), __FILE__, __LINE__);
			list($ref) = SQL_FETCHROW($result);
			SQL_FREERESULT($result);
		}

		// Also edit this 0 !
		if (empty($ref)) $ref = "0";

		// We have an refid here. So we simply add it
		$URL .= bigintval($ref);

		// Update ref counter
		$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_data SET ref_clicks=ref_clicks+1 WHERE userid=%d LIMIT 1",
		 array(bigintval($ref)), __FILE__, __LINE__);
	}
	 else
	{
		// No refid and we add our refid (don't forget to set $def_refid!)
		$URL = URL."/index.php";
	}
	// Load the URL
	LOAD_URL($URL);
	// Redirection should be done here
}
 else
{
	// You have to configure first!
	LOAD_URL("install.php");
}

// Really all done here... ;-)
?>
